IBM Information Server, Version 8.0.1 system requirements

Product documentation


Abstract

This document includes hardware requirements, software requirements, and installation prerequisites for the product modules and components of IBM Information Server.

Content

Tab navigation

Before you install IBM Information Server, ensure that your computer meets the hardware and software requirements for the product modules and components that you want to install.




System requirements (Windows)

Before you install IBM Information Server in a Microsoft® Windows® environment, ensure that your computer meets the hardware and software requirements for the product modules and components that you want to install.


Platform requirements (Windows)

The client layer is supported on 32-bit versions of the following operating systems:

  • Windows XP Service Pack 2
  • Windows Vista
  • Windows Server 2003 Service Pack 1 or Service Pack 2

The metadata repository, domain, and engine layers are supported on the 32-bit version of Windows Server 2003 Service Pack 1 or Service Pack 2.

Note: To use more than 4 GB of RAM, Windows Server 2003 Enterprise Edition with Service Pack 1 or Windows Server 2003 Datacenter Edition with Service Pack 1 is required.

For information about support for IBM software products running in a VMware environment, go to www.ibm.com/support/docview.wss?&uid=wws1e333ce0912f7b152852571f60074d175.


Client software requirements (Windows)

Ensure that your computer meets the client software requirements before you install the client layer.

IBM Information Server Web console

Microsoft Internet Explorer 6, Service Pack 2, or Microsoft Internet Explorer 7 is required for Web clients such as the Web console.

IBM WebSphere MetaBrokers and bridges

The following software must be installed on the computer where you install the clients before you install IBM WebSphere MetaBrokers and bridges. Some bridges might have additional requirements.

  • Microsoft XML Core Services (MSXML) 4.0

    http://www.microsoft.com/downloads/en/details.aspx?FamilyID=3144b72b-b4f2-46da-b4b6-c5d7485f2b42&DisplayLang=en

  • Depending on how you want to use the WebSphere MetaBrokers and bridges, you must install one of the following clients:
    • The IBM WebSphere DataStage and QualityStageT client must be installed on the same computer on which you install WebSphere MetaBrokers and bridges with IBM WebSphere DataStage.
    • IBM Rational® Data Architect must be installed if you want to use WebSphere MetaBrokers and bridges with Rational Data Architect. You must also install the IBM Rational Data Architect MetaBroker® when you install WebSphere MetaBrokers and bridges.
    • A required component for WebSphere MetaBrokers and bridges is installed with the following clients, so at least one of the following clients must be installed on the computer to ensure that WebSphere MetaBrokers and bridges function properly:
      • WebSphere DataStage or WebSphere QualityStage
      • IBM WebSphere Information Analyzer
      • IBM WebSphere Information Services Director

Metadata repository and WS Information Analyzer software requirements (Windows)

The following database servers are supported for use with the metadata repository:

  • IBM DB2® Enterprise Server Edition Version 9.1 or a subsequent fix pack for this version
  • Microsoft SQL Server 2005 Enterprise Edition
  • Oracle 10g Release 2

The database server must be installed on the same computer that the domain layer is installed on. When you install IBM Information Server, you can install a new copy of DB2 Version 9.1 or use an existing installation. To use a Microsoft SQL Server or Oracle database, you must install and configure these databases in UCS-2 or UTF-8 encoding before you install the IBM Information Server suite. Partitioned databases are not supported.

Note: The Oracle 10g Release 2 Advanced Security option is not supported.


Domain software requirements (Windows)

WebSphere Application Server, Version 6.0.2, Fix Pack 11 or a subsequent fix pack for this version, is required to host WebSphere Metadata Server. When you install the suite, you can install the application server, or you can use a preexisting installation.

If WebSphere Application Server is already installed, you must use a dedicated profile with the server name of server1.

Note: WebSphere Application Server Network Deployment and Extended Deployment are not supported.


Engine software requirements (Windows)

For the transform feature of the parallel canvas to function properly, a C++ compiler must be installed on the computer where you install the engine before you install the IBM Information Server suite. The parallel canvas requires that the compiler and SDK be installed in their default locations. Specify the compiler settings for each project. The following compilers are supported on Windows:

  • Microsoft Visual C++ .NET 2003

    This compiler is available on Microsoft Developer Network library releases. You must change the APT_COMPILEOPT and APT_LINKOPT environment variables for this compiler after you install the suite.

    1. Run the Administrator for DataStage and QualityStage.
    2. Select Project > Properties > Environment.
    3. Edit the value field of Parallel > Compiler > APT_COMPILEOPT.
    4. Remove " -W/Zc:wchar_t-" from the end of the existing setting.
    5. Edit the value field of Parallel > Compiler > APT_LINKOPT.
    6. Remove " -W/Zc:wchar_t-" from the end of the existing setting.
  • Microsoft Visual Studio 2005 Professional Edition C++

    This compiler is available for purchase from Microsoft. This compiler is the default compiler for the transform operator. No additional changes are required to run the parallel engine transforms when this compiler is installed before you install IBM Information Server.

  • Microsoft Visual Studio .NET 2005 Express Edition C++

    This compiler is a free version of the .NET 2005 compiler with reduced functionality. You must also download the Microsoft Platform SDK for Microsoft Visual C++ 2005 Express for transforms to work. Download the compiler and the SDK from www.microsoft.com/express/. Before you use the Microsoft Visual Studio .NET 2005 Express Edition C++ compiler, you must update several environment variables to enable the compiler to find the SDK library and include files.

    1. From the control panel, select System > Advanced > Environment Variables > System variables.
    2. Set the LIB variable to the location of the lib directory for the SDK. A typical location is C:\Program Files\Microsoft Platform SDK for Windows Server 2003 R2\Lib.
    3. Set the INCLUDE variable to the location of the include directory for the SDK. A typical location is C:\Program Files\Microsoft Platform SDK for Windows Server 2003 R2\Include.
    4. Save the settings and restart the computer.

Documentation software requirements (Windows)

To access the PDF documentation that is installed with IBM Information Server, you must have Adobe® Acrobat or a comparable PDF reader installed.

To access help and other topics in the information center, which is installed in the domain layer, you must have one of the following supported Web browsers configured as your default browser:

  • Microsoft Internet Explorer 6 or Microsoft Internet Explorer 7
  • Mozilla Firefox Version 1.7 or 2.0

Networking requirements (Windows)

The client, repository, domain, and engine layers must be able to communicate with each other over the network.


Memory requirements (Windows)

  • The minimum amount of memory for installing the IBM Information Server client layer is 2 GB.
  • The minimum amount of memory for installing the IBM Information Server domain and engine layers on the same computer, or on separate computers, is 3 GB.

Actual memory requirements depend on the type of processing, amount of parallel processing, the size and number of simultaneously running WebSphere DataStage jobs, and the memory requirements of the operating system and other applications (such as relational databases).

Evaluate the following factors to determine the memory requirements for your system:

  • Other software on the same server
  • Performance requirements
  • Size and complexity of your configuration
  • Extent of activity and the number of concurrent clients that access your system
  • Processing for the temporary tables and sorts that is performed by the servers to avoid disk input and output

Minimum disk space requirements (Windows)

Important: These installation disk space requirements are the minimum requirements for installation. Operational requirements are significantly larger than these minimum installation disk space requirements.

The installation of IBM Information Server requires the following minimum disk space:

  • 1.3 GB for WebSphere Application Server
  • 500 MB for DB2
  • 1.4 GB for the IBM Information Server components
  • 2 GB for the metadata repository database
  • 1 GB for the WebSphere Information Analyzer analysis database
  • 2 GB of temporary space during the installation

Table 1. Minimum disk space requirements for a client installation

Client products and components Minimum disk space
WebSphere DataStage, WebSphere QualityStage, WebSphere Information Analyzer, WebSphere Information Services Director 10 MB in the Windows\system32 directory, 650 MB for the clients directory
WebSphere MetaBrokers and bridges (includes MetaBrokers, bridges, and the Import/Export Manager) 60 MB

Table 2. Minimum disk space requirements for the metadata repository installation

Metadata repository components Minimum disk space
DB2 500 MB
Metadata repository database 2 GB
WebSphere Information Analyzer analysis database 1 GB

Table 3. Minimum disk space requirements for the domain installation

Domain components Minimum disk space
WebSphere Application Server 1.3 GB
IBM Information Server product components 310 MB

Table 4. Minimum disk space requirements for the engine installation

Engine components Minimum disk space
WebSphere DataStage and WebSphere QualityStage 350 MB
WebSphere Information Analyzer 90 MB
WebSphere Information Services Director 20 MB
Shared component 200 MB

Table 5. Disk space requirements for the documentation installation

Documentation components Minimum disk space
PDF documentation 100 MB

System requirements (Linux, UNIX)

Before you install IBM Information Server in a Linux® or UNIX® environment, ensure that your computer meets the hardware and software requirements for the product modules and components that you want to install.


Platform requirements (Linux, UNIX)

The metadata repository, domain, and engine layers are supported on systems that run the following versions of Linux and UNIX.

Table 6. Platform requirements for 32-bit operating systems

32-bit operating systems WebSphere Application Server DB2
IBM AIX® Version 5.2, 5.31 32-bit Not supported
  • DB2 on AIX requires a 64-bit kernel.
Sun Solaris 9 and Solaris 10 on UltraSPARC2 32-bit 32-bit
Red Hat Enterprise Linux Advanced Server 4 on AMD or Intel x86 32-bit 32-bit
SUSE Linux Enterprise Server 10 on AMD or Intel® x86 32-bit 32-bit
HP-UX 11i v2 on PA-RISC 32-bit 32-bit

Table 7. Platform requirements for 64-bit operating systems

64-bit operating systems WebSphere Application Server DB2
AIX® Version 5.2, 5.31 32-bit 64-bit
Sun Solaris 9 and Solaris 10 on UltraSPARC2 32-bit 32-bit
Red Hat Enterprise Linux Advanced Server 4 on AMD or Intel x86 64-bit 64-bit
Red Hat Enterprise Linux 5 on IBM System z 32-bit 64-bit
SUSE Linux Enterprise Server 10 for IBM System z® 32-bit 64-bit
SUSE Linux Enterprise Server 10 on AMD or Intel® x86 64-bit 64-bit
HP-UX 11i v2 on PA-RISC 32-bit 64-bit
HP-UX 11i v2.3 for Intel Itanium 64-bit 64-bit

1IBM Information Server is supported on AIX logical partitions. 2IBM Information Server is supported on Solaris Zones and Solaris Containers.


Table 8. Additional requirements for operating systems

Operating system version Additional requirements
HP-UX 11i v2.3 for Intel Itanium
  • Quality Packs:
    • QPKBASE(B.11.23.0706.064)
    • QPKAPPS(B.11.23.0706.064)
  • Unset LD_PRELOAD before you install an enterprise pack, plug-in, connector, or stage.
  • Verity that t=The /etc/nsswitch.conf file entry for services has the files attribute as the first entry. For example: services: files
32-bit Red Hat Enterprise Linux Advanced Server 4 on AMD or Intel x86
  • The following packages are required: glibc-2.3.4-2.9 xorg-x11-libs-6.8.2-1.EL.13.6 xorg-x11-deprecated-libs-6.8.2-1.EL.13.6 xorg-x11-libs-6.8.2-1.EL.13.6 compat-libstdc++-33-3.2.3-47.3 compat-libstdc++-296-2.96-132.7.2 libstdc++-3.4.3-22.1 libstdc++-devel-3.4.3-22.1
64-bit Red Hat Enterprise Linux Advanced Server 4 on AMD or Intel x86
  • The supported version is Red Hat Enterprise Linux Advanced Server 4 (x86_64) Kernel 2.6.9-42.ELsmp
  • Only new installations of Red Hat Enterprise Linux Advanced Server 4 are supported. Installations that have been upgraded from Red Hat Enterprise Linux Advanced Server Version 3 or earlier do not have the required libraries.
  • The 32-bit versions of the following packages are required: glibc-2.3.4-2.9 xorg-x11-libs-6.8.2-1.EL.13.6 xorg-x11-deprecated-libs-6.8.2-1.EL.13.6 xorg-x11-libs-6.8.2-1.EL.13.6 compat-libstdc++-33-3.2.3-47.3 compat-libstdc++-296-2.96-132.7.2 libstdc++-3.4.3-22.1 libstdc++-devel-3.4.3-22.1
64-bit Red Hat Enterprise Linux 5 on IBM System z
  • The supported version is Red Hat Enterprise Linux 5 Service Pack 1.
  • The following 32–bit packages are required: glibc-2.5-24 libXmu-1.0.2-5 libXt-1.0.2-3.1.fc6 libX11-1.0.3-9.el5 libXtst-1.0.1-3.1 libXp-1.0.0-8.1.el5 libXext-1.0.1-2.1 libSM-1.0.1-3.1 libICE-1.0.1-2.1 libXau-1.0.1-3.1 libXdmcp-1.0.1-2.1
32-bit SUSE Linux Enterprise Server 10 on AMD or Intel x86
  • The following packages are required: glibc-2.3.4-2.9 xorg-x11-libs-6.8.2-1.EL.13.6 xorg-x11-deprecated-libs-6.8.2-1.EL.13.6 xorg-x11-libs-6.8.2-1.EL.13.6 compat-libstdc++-33-3.2.3-47.3 compat-libstdc++-296-2.96-132.7.2 libstdc++-3.4.3-22.1 libstdc++-devel-3.4.3-22.1
64-bit SUSE Linux Enterprise Server 10 on AMD or Intel x86
  • The supported version is SUSE Linux Enterprise Server 10 (x86_64) Kernel 2.6.16.21-0.8-smp
  • The 32-bit versions of the following packages are required: glibc-2.4-31.2 xorg-x11-libs-6.9.0-50.14 libstdc++-4.1.0-28.4 libstdc++-devel-4.1.0-28.4 compat-libstdc++-5.0.7-22.2
64-bit SUSE Linux Enterprise Server 10 for IBM System z
  • The supported version is SUSE Linux Enterprise Server 10 SP0 or SP1.
  • The following packages are required: compat-libstdc++-5.0.7-22.2 glibc-2.4-31.2 (32-bit and 64-bit) libgcc-4.1.0-28.4 libstdc++-4.1.0-28.4 xorg-x11-libs-6.9.0-50.14

Note: IBM Information Server 8.0.1 is not supported on SUSE Linux Enterprise Server 10 or Red Hat Enterprise Linux Advanced Server 4 for Intel Itanium hardware.

For information about support for IBM software products running in a VMware environment, go to www.ibm.com/support/docview.wss?&uid=wws1e333ce0912f7b152852571f60074d175.


Metadata repository and WS Information Analyzer software requirements (Linux, UNIX)

The following database servers are supported for use with the metadata repository:

  • DB2 Enterprise Server Edition Version 9.1 or a subsequent fix pack for this version
  • DB2 for z/OS Version 8 and Version 9.1 or subsequent fix packs for these versions
  • Microsoft SQL Server 2005 Enterprise Edition
  • Oracle 10g Release 2

The following database servers are supported for use with the WebSphere Information Analyzer analysis database:

  • DB2 for z/OS Version 9 fix pack 15 or a subsequent fix pack for this version running in New Function Mode (NFM)
  • Oracle 10g Release 2

The database server must be installed on the same computer that the domain layer is installed on. When you install the suite, you can install a new copy of DB2 Version 9.1 or use an existing installation. To use a Microsoft SQL Server or Oracle database, you must install and configure these databases in UCS-2 or UTF-8 encoding before you install the suite. Partitioned databases are not supported.

You must have root access file permissions to install DB2 databases on UNIX and Linux operating systems. In addition to root access, the DB2 installation program requires write permission in several file systems, such as /var and /usr/local/bin. This requirement is not always satisfied when these directories are mounted from network file systems such as IBM AFS®.


Table 9. Additional requirements for DB2

Operating system version Additional requirements
AIX 5.2
  • 64-bit AIX kernel
  • TL08 Service Pack 2, or Concluding Service Pack 2
  • Minimum C++ runtime level is xlC.rte 8.0.0.4 and xlC.aix50.rte 8.0.0.4
AIX 5.3
  • 64-bit AIX kernel
  • TL04 Service Pack 2
  • Minimum C++ runtime level is xlC.rte 8.0.0.4 and xlC.aix50.rte 8.0.0.4
HP-UX 11i v2 on PA-RISC
  • DB2 Version 9.1 Fix Pack 4 or a subsequent fix pack for this version after installing IBM Information Server
64-bit Red Hat Enterprise Linux 5 on IBM System z
64-bit SUSE Linux Enterprise Server 10 on AMD or Intel x86 and 64-bit SUSE Linux Enterprise Server 10 for IBM System z
DB2 for z/OS Version 9 fix pack 15 or a subsequent fix pack for this version
  • Websphere Information Analyzer client patch 129030
  • DB2 Version 9 fix pack 15 for z/OS or a subsequent fix pack for this version must run in New Function Mode (NFM)

64-bit SUSE Linux Enterprise Server 10 on AMD or Intel x86 or 64-bit Red Hat Enterprise Linux Advanced Server 4 on AMD or Intel x86

To use DB2 for the metadata repository on 64-bit SUSE Linux Enterprise Server 10 on AMD or Intel x86 and 64-bit Red Hat Enterprise Linux Advanced Server 4 on AMD or Intel x86, you must install DB2 Version 9.1 for 64-bit Linux before you install IBM Information Server.


WS Information Analyzer analysis database requirements for IBM DB2 Ver 9.1 for z/OS

The WebSphere Information Analyzer analysis database supports only DB2 Version 9.1 for z/OS ® or a subsequent fix pack for this version. The WebSphere Information Analyzer analysis database does not support DB2 Version 8.1 for z/OS.

The WebSphere Information Analyzer database creation scripts that support DB2 Version 9.1 for z/OS are provided on the installation media in the \InformationAnalyzer\DB2_zOS directory.

Stored procedures that are used during Foreign Key Analysis and Cross Domain Analysis are created dynamically in the analysis database by WebSphere Information Analyzer. DB2 Version 9.1 must be running in New Function Mode (NFM) for these stored procedures to work.


Domain software requirements (Linux, UNIX)

WebSphere Application Server, Version 6.0.2, Fix Pack 11 or a subsequent fix pack for this version, is required to host WebSphere Metadata Server. When you install the suite, you can install the application server, or you can use an existing installation.

If WebSphere Application Server is already installed, you must use a dedicated profile with the server name of server1.

HP-UX 11i v2 for Intel Itanium additional requirements

To use IBM Information Server on HP-UX 11i v2 for Intel Itanium, you must install WebSphere Application Server before you install IBM Information Server.

Table 10. Additional requirements for HP-UX 11i v2 for Intel Itanium

Required software Download file and location
IBM WebSphere Application Server, Version 6.0.1 Download C828MML from the IBM Passport Advantage® Web site at www.ibm.com/software/
passportadvantage
WebSphere Application Server Refresh Pack 2 (6.0.2) Download Intel Itanium Application Server from www.ibm.com/support/docview.wss?uid=swg24010067.
Java™ SDK Fix Pack 1.4.2 SR5 for WebSphere Application Server Download 6.0.0.2.15 Java SDK (6.0.2-WS-WASJavaSDK-HpuxIA64-FP00000011.tar) from www.ibm.com/support/docview.wss?rs=180&uid=swg24012497.
WebSphere Application Server V6.0.2 Fix Pack 15 (6.0.2.15) Download 64-bit Intel Itanium AppServer from www.ibm.com/support/docview.wss ?rs=180&uid=swg24013499.

64-bit SUSE Linux Enterprise Server 10 or 64-bit Red Hat Enterprise Linux Advanced Server 4 on AMD or Intel x86 additional requirements

To use IBM Information Server on 64-bit Red Hat Enterprise Linux Advanced Server 4 on AMD or Intel x86 and 64-bit SUSE Linux Enterprise Server 10 on AMD or Intel x86, you must install WebSphere Application Server before you install IBM Information Server.

Table 11. Additional requirements for 64-bit SUSE Linux Enterprise Server 10 or 64-bit Red Hat Enterprise Linux Advanced Server 4

Required software Download file and location
IBM WebSphere Application Server, Version 6.0.1 Download C828MML from the IBM Passport Advantage® Web site at www.ibm.com/software/
passportadvantage
WebSphere Application Server V6.0 Refresh Pack 2 Linux 64-bit (6.0-WS-WAS-LinuxX64-RP0000002) Download 64-bit x86 AMD/Intel AppServer from www.ibm.com/support/docview.wss?rs=180&uid=swg24010068
64-bit x86 AMD/Intel Java SDK (6.0.2-WS-WASJavaSDK-LinuxX64-FP00000011) Download 64-bit x86 AMD/Intel Java SDK from http://www.ibm.com/support/docview
.wss?rs=180&uid=swg24012486
64-bit x86 AMD/Intel AppServer Fix Pack 11 (6.0.2-WS-WAS-LinuxX64-FP00000011) Download 64-bit x86 AMD/Intel AppServer from http://www.ibm.com/support/docview.
wss?rs=180&uid=swg24012486

Engine software requirements (Linux, UNIX)

The following compilers are required for WebSphere DataStage and WebSphere QualityStage. The compilers must be installed on the computer where you install the engine. When you install a compiler, ensure that all the compiler packages are installed. The runtime components are required for AIX on systems where the compiler is not installed and you are running only compiled parallel jobs.

Table 12. Required C++ compilers and runtime libraries

Operating system C++ complier Runtime components and additional requirements
AIX XL C/C++ Enterprise Edition 7.0, 8.0, 9.0 The runtime components for jobs are compiled with XL C/C++ Enterprise Edition. For more information, go to http://www.ibm.com/
software/awdtools
/vacpp/support
Red Hat Enterprise Linux Advanced Server 4 on AMD or Intel x86 32-bit: gcc 3.4 The runtime libraries are installed with the operating system.
Red Hat Enterprise Linux Advanced Server 4 on AMD or Intel x86 64-bit: gcc 3.4.6 Use the DataStage Administrator to configure the following settings for each project to use the gcc 3.4.6 compiler to compile parallel jobs:
  • Compiler package available on the Red Hat Enterprise Linux Advanced Server 4 installation media
    • glibc-devel-2.3.4-2.25.i386.rpm
  • Compiler settings
    • APT_COMPILEOPT: -O -fPIC -Wno-deprecated -c -m32
    • APT_COMPILER: g++32
    • APT_LINKER: g++32
    • APT_LINKOPT: -shared -m32 -Wl,-Bsymbolic,--allow-shlib-undefined
Solaris Sun Studio 10, 11, or 12 The runtime libraries are installed with the operating system.
SUSE Linux Enterprise Server 10 on AMD or Intel x86 32-bit: gcc 4.1.0 The runtime libraries are installed with the operating system.
SUSE Linux Enterprise Server 10 on AMD or Intel x86 64-bit: gcc 4.1.0 Use the DataStage Administrator to configure the following settings for each project to use this C++ 4.1.0 compiler to compile parallel jobs:
  • Compiler package (available on the SUSE Linux Enterprise Server 10 installation media)
    • glibc-devel-32bit-2.4-31.2
  • Compiler settings
    • APT_COMPILEOPT: -O -fPIC -Wno-deprecated -c -m32
    • APT_COMPILER: g++
    • APT_LINKER: g++
    • APT_LINKOPT: -shared -m32 -Wl,-Bsymbolic,--allow-shlib-undefined
HP-UX 11i v2 on PA-RISC aCC: HP ANSI C++ B3910B A.03.73 The runtime libraries are installed with the operating system.
HP-UX 11i v2 on Intel Itanium aCC: HP C/aC++ B3910B A.06.14 The runtime libraries are installed with the operating system.

Kernel parameter requirements

The kernel parameter requirements in this section apply to IBM Information Server. Additional kernel parameter requirements for DB2 are in the IBM DB2 Database for Linux, UNIX, and Windows Information Center at publib.boulder.ibm.com/infocenter/db2luw/v9/index.jsp

Verify the settings of the kernel parameters. Make a backup copy of the /etc/system file before you modify it. Modify the kernel parameters with the suggested kernel parameters and values. Restart the system before you install IBM Information Server. Additional kernel parameter changes may be required.

Table 13. Kernel parameters

Installation operating system Kernel parameters
WebSphere Application Server on Solaris set shmsys:shminfo_shmmax = 4294967295 set shmsys:shminfo_shmseg = 1024 set shmsys:shminfo_shmmni = 1024 set semsys:seminfo_semaem = 16384 set semsys:seminfo_semmni = 1024 set semsys:seminfo_semmap = 1026 set semsys:seminfo_semmns = 16384 set semsys:seminfo_semmsl = 100 set semsys:seminfo_semopm = 100 set semsys:seminfo_semmnu = 2048 set semsys:seminfo_semume = 256 set msgsys:msginfo_msgmap = 1026 set msgsys:msginfo_msgmax = 65535
HP-UX 11i v2 for Intel Itanium HP-UX 11i v2 on PA-RISC nproc = 2912 maxuprc = 971 maxfiles = 1448 nflocks = 5793 ninode = 4055 nfile = 16219 msgseg = 32767 msgmnb = 65535 msgmax = 65535 msgtql = 2317 msgmap = 2319 msgmni = 2317 msgssz = 32 semmns = 5794 semmni = 2896 semmnu = 2896 shmmax = 2897215488 shmmni = 2896 maxdsiz_64bit = 1900000000

Documentation software requirements (Linux, UNIX)

To access the PDF documentation that is installed with IBM Information Server, you must have Adobe Acrobat or a comparable PDF reader installed.

To access help and other topics in the information center, which is installed in the domain layer, you must have one of the following supported Web browsers configured as your default browser:

  • Microsoft Internet Explorer 6 or Microsoft Internet Explorer 7
  • Mozilla Firefox Version 1.7 or 2.0

Networking requirements (Linux, UNIX)

The client, repository, domain, and engine layers must be able to communicate with each other over the network.


Memory requirements (Linux, UNIX)

The minimum amount of memory for installing the IBM Information Server domain and engine layers on the same computer, or on separate computers, is 4 GB.

A minimum 5 GB RAM is required for the following 64-bit operating systems:

  • Red Hat Enterprise Linux 5 on IBM System z
  • SUSE Linux Enterprise Server 10 for IBM System z

Evaluate the following factors to determine the memory requirements for your system:

  • Other software on the same server
  • Performance requirements
  • Size and complexity of your configuration
  • Extent of activity and the number of concurrent clients that access your system
  • Processing for the temporary tables and sorts that are performed by the servers to avoid disk input and output

As with any configuration, actual memory requirements depend on the type of processing, amount of parallel processing, the size and number of simultaneously running WebSphere DataStage jobs, and memory requirements of the operating system and other applications (such as relational databases).


Minimum disk space requirements (Linux, UNIX)

Important: The following installation disk space requirements are the minimum installation disk space requirements. Operational requirements are significantly larger than these minimum requirements.

The installation of IBM Information Server requires the following minimum disk space:

  • 1 GB for WebSphere Application Server
  • 500 MB for DB2
  • 1.4 GB for the IBM Information Server components
  • 3 GB for the metadata repository and the WebSphere Information Analyzer analysis database
  • 2 GB of temporary space during the installation

For information about the minimum disk space requirements for a client installation, see System requirements (Windows).


Table 14. Minimum disk space requirements for the metadata repository installation

Metadata repository components Minimum disk space
DB2 500 MB
Metadata repository database 2 GB
WebSphere Information Analyzer analysis database 1 GB

Table 15. Minimum disk space requirements for the domain installation

Domain components Minimum disk space
WebSphere Application Server 1.3 GB
IBM Information Server product components 310 MB

Table 16. Minimum disk space requirements for the engine installation

Engine components Minimum disk space
WebSphere DataStage and WebSphere QualityStage 1.2 GB
WebSphere Information Analyzer 90 MB
WebSphere Information Services Director 20 MB
Shared component 250 MB

Table 17. Disk space requirements for the documentation installation

Documentation component Disk space
PDF documentation 100 MB

Additional requirements

The following additional requirements also apply:

  • Supported platforms for mainframe jobs

    The following systems are supported for compiling and running mainframe jobs:

    • IBM OS/390® 2.6 or later
    • IBM z/OS® 1.1 or later
  • Teradata connector requires Teradata client version 8.2.0.2

    The Teradata connector requires Teradata client version 8.2.0.2 with papi8200.08.02.00.02 efix.

    • When using the Teradata connector on Red Hat Enterprise Linux Advanced Server 4, install the Teradata client version 8.2.0.2 before you install IBM Information Server 8.0.1.
    • Download the papi8200.08.02.00.02 efix from www.ncr.com
    • During efix installation, select option 2 to install the library built with the gcc 3.3 compiler of the 32-bit Teradata PT API library. The Teradata connector requires the library that is installed by option 2.
  • WebSphere MQ Version 6.0.2
    • WebSphere MQ Version 6.0.2 is required to use WebSphere MQ Connector stage in WebSphere DataStage on SUSE Linux Enterprise Server version 10 on AMD or Intel x86.
  • Software requirements to use DB2Z stage in WebSphere DataStage on SUSE Linux Enterprise Server 10 for IBM System z and Red Hat Enterprise Linux 5 on IBM System z

    Ensure your computer meetings the following software requirements to use DB2Z stage in WebSphere DataStage on SUSE Linux Enterprise Server 10 for IBM System z:

    • z/OS version 1.8 or higher
    • DB2 for z/OS Version 9.1 or a subsequent fix pack for this version
    • z/OS FTP server version 1.6 or higher
    • DB2Connect must be installed:
      • DB2Connect version number must correspond to the version number of the DB2 for z/OS database
      • DB2Connect database must be cataloged for the DB2 for z/OS database
    • To use BatchPipes®, the following patches are required:
      • BatchPipes version 2.01 or higher (FMID = HACH301)
      • APAR PK37032 for the z/OS FTP server that includes the site subsys=xxxx command to direct data to a to a BatchPipes subsystem
    • DB2 TEMPLATE utility statement that supports references to BatchPipes data streams:
      • DB2 for z/OS Version 8.1: PTF UK26290
      • DB2 for z/OS Version 9.1: PTF UK25291
    • After IBM Information Server is installed, perform these post installation commands to use DB2Z stage in WebSphere DataStage.
      • On the server layer, type these commands to bind the executable to DB2:
        db2 connect to dbname user dbuser using dbpassword
        db2 bind db2zesql.bnd datetime iso blocking all
        db2 terminate
      • Use the DataStage Administrator on the DataStage client layer to add the sqllib/lib in the LIBPATH in .profile.

Supported data sources and ODBC drivers for WS DataStage and WS QualityStage

WebSphere DataStage and WebSphere QualityStage support numerous data sources through ODBC. DataDirect Connect for ODBC is installed with WebSphere DataStage and WebSphere QualityStage. The following tables list the ODBC drivers installed with WebSphere DataStage and WebSphere QualityStage, which databases they access, and which platforms they are available on.


Table 18. ODBC version 5.2 drivers

Driver architecture ODBC database or data source IBM Information Server platforms
Btrieve Btrieve 6.15
Pervasive.SQL 7.0, 2000
Windows
DB2 Wire Protocol DB2 v7.2, v8.1, v8.2 for Linux, UNIX, Windows DB2 Wire Protocol DB2 v7x, v8.1 for z/OS DB2 V5R1, V5R2, V5R3 for iSeries® AIX Red Hat Enterprise Linux Advanced Server 4 on AMD or Intel x86 HP-UX 11i v2 on Intel Itanium HP-UX 11i v2 on PA-RISC Solaris SUSE Linux Enterprise Server 10 on AMD or Intel x86 Windows
dBASEFile dBASE IV, V Windows
FoxPro 3.0 Database dBASE IV, V FoxPro 2.5, 2.6, 3.0, 6.0 (3.0 functionality level) FoxPro 3.0 Database Containers Windows
IBM Informix® Wire Protocol Informix Dynamic Server 9.2x, 9.3x, 9.4x, 10, 11 AIX HP-UX 11i v2 for Intel Itanium HP-UX 11i v2 on PA-RISC Solaris SUSE Linux Enterprise Server 10 on AMD or Intel x86 Red Hat Enterprise Linux Advanced Server 4 on AMD or Intel x86 Windows
Informix Client Driver Informix Dynamic Server 9.2x, 9.3x, 9.4x, 10, 11 AIX HP-UX 11i v2 on PA-RISC Solaris Windows
Oracle Oracle 8.0.5+ Oracle 8i R2, R3 (8.1.6, 8.1.7) Oracle9i R1, R2 (9.0.1, 9.2) Oracle 10g R1, R2 (10.1, 10.2) AIX HP-UX 11i v2 for Intel Itanium HP-UX 11i v2 on PA-RISC Red Hat Enterprise Linux Advanced Server 4 on AMD or Intel x86 Solaris Windows
Oracle Oracle 10g R1, R2 (10.1, 10.2) SUSE Linux Enterprise Server 10 on AMD or Intel x86
Oracle Wire Protocol Oracle 8.0.5+ Oracle 8i R2, R3 (8.1.6, 8.1.7) Oracle 9i R1, R2 (9.0.1, 9.2) Oracle 10g R1, R2 (10.1, 10.2) AIX HP-UX 11i v2 for Intel Itanium HP-UX 11i v2 on PA-RISC Red Hat Enterprise Linux Advanced Server 4 on AMD or Intel x86 Solaris SUSE Linux Enterprise Server 10 on AMD or Intel x86 Windows
Progress 10 Progress Version 9.1D, 9.1E, 10 AIX HP-UX 11i v2 on PA-RISC Red Hat Enterprise Linux Advanced Server 4 on AMD or Intel x86 Solaris Windows
Progress 9 Progress Version 9.1C, 9.1D via SQL92 Engine Progress 9.1B via SQL92 Engine AIX HP-UX 11i v2 on PA-RISC Red Hat Enterprise Linux Advanced Server 4 on AMD or Intel x86 Solaris Windows
SQL Server Wire Protocol Microsoft SQL Server 2005 Microsoft SQL Server 2000 Microsoft SQL Server 7.0 AIX HP-UX 11i v2 on PA-RISC Red Hat Enterprise Linux Advanced Server 4 on AMD or Intel x86 Solaris SUSE Linux Enterprise Server 10 on AMD or Intel x86 Windows
Sybase Wire Protocol Sybase Adaptive Server 15 Sybase Adaptive Server Enterprise 12.0, 12.5, 12.5.1, 12.5.2, 12.5.3 Sybase Adaptive Server Enterprise 11.5, 11.9 AIX HP-UX 11i v2 for Intel Itanium HP-UX 11i v2 on PA-RISC Red Hat Enterprise Linux Advanced Server 4 on AMD or Intel x86 Solaris SUSE Linux Enterprise Server 10 on AMD or Intel x86 Windows
Teradata Teradata V2R6.1 AIX HP-UX 11i v2 on Intel Itanium HP-UX 11i v2 on PA-RISC Red Hat Enterprise Linux Advanced Server 4 on AMD or Intel x86 Solaris SUSE Linux Enterprise Server 10 on AMD or Intel x86 Windows
Text Text files AIX HP-UX 11i v2 on PA-RISC Red Hat Enterprise Linux Advanced Server 4 on AMD or Intel x86 Solaris SUSE Linux Enterprise Server 10 on AMD or Intel x86 Windows
XML XML files Windows

Table 19. ODBC version 5.3 drivers

Driver architecture ODBC database or data source IBM Information Server platforms
DataDirect 5.3 DB2 Version 9.1 SUSE Linux Enterprise Server 10 on AMD or Intel x86 UNIX Windows
DB2 Wire Protocol DB2 v7.2, v8.1, v8.2 for Linux, UNIX, Windows DB2 Wire Protocol DB2 v7x, v8.1 for z/OS DB2 V5R1, V5R2, V5R3 for IBM iSeries® Red Hat Enterprise Linux 5 on IBM System z SUSE Linux Enterprise Server 10 for IBM System z
Informix Wire Protocol Informix Dynamic Server 9.2x, 9.3x, 9.4x, 10, 11 Red Hat Enterprise Linux 5 on IBM System z SUSE Linux Enterprise Server 10 for IBM System z
Oracle Wire Protocol Oracle 8.0.5+ Oracle 8i R2, R3 (8.1.6, 8.1.7) Oracle 9i R1, R2 (9.0.1, 9.2) Oracle 10g R1, R2 (10.1, 10.2) Red Hat Enterprise Linux 5 on IBM System z SUSE Linux Enterprise Server 10 for IBM System z
SQL Server Wire Protocol Microsoft SQL Server 2005 Microsoft SQL Server 2000 Microsoft SQL Server 7.0 Red Hat Enterprise Linux 5 on IBM System z SUSE Linux Enterprise Server 10 for IBM System z
Sybase Wire Protocol Sybase Adaptive Server 15 Sybase Adaptive Server Enterprise 12.0, 12.5, 12.5.1, 12.5.2, 12.5.3 Sybase Adaptive Server Enterprise 11.5, 11.9 Red Hat Enterprise Linux 5 on IBM System z SUSE Linux Enterprise Server 10 for IBM System z

Cross reference information
Segment Product Component Platform Version Edition
Information Management InfoSphere DataStage
Information Management InfoSphere QualityStage
Information Management InfoSphere Information Analyzer
Information Management InfoSphere Information Services Director
Information Management InfoSphere Business Glossary
Information Management WebSphere Metadata Server
Information Management InfoSphere Metadata Workbench

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

InfoSphere DataStage

Software version:

8.0, 8.0.1

Operating system(s):

AIX, HP-UX, Linux, Solaris, Windows

Reference #:

7008923

Modified date:

2011-03-22

Translate my page

Machine Translation

Content navigation